Subject: Re: bug#43389: 28.0.50; Emacs memory leaks using hard disk all time

From: Eli Zaretskii <[email-masked]>
Date: Sun, 13 Dec 2020 17:30:42 +0200

> From: Trevor Bentley <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked], [email-masked], [email-masked]
> Cc: 
> Date: Sun, 13 Dec 2020 11:20:32 +0100
> 
> I have one instance running that has clearly hit the problem. 
> garbage_collect() never printed its "end" message, and there have 
> been no further garbage collects in nearly 20 hours:
> 
> ----
> 1607783297: garbage_collect start 1607783297: gc_sweep start 
> 1607783297: gc_sweep end (0 s) ----
> 
> Right now, I'm leaning towards this being the root cause. 
> Something is causing a garbage collect to crash or hang or 
> otherwise exit in some unknown way, and automatic garbage 
> collection gets disabled until I manually retrigger it.
> 
> Garbage collect never runs on other threads/forks, right?

If you use packages or commands that create Lisp threads, I think GC
can run from any of these Lisp threads.